List all agents
curl --request GET \
--url https://api.devic.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"imgUrl": "<string>",
"disabled": true,
"archived": true,
"provider": "<string>",
"llm": "<string>",
"assistantSpecialization": {
"identifier": "<string>",
"name": "<string>",
"description": "<string>",
"presets": "<string>",
"availableToolsGroupsUids": [
"<string>"
],
"enabledTools": [
"<string>"
],
"model": "<string>",
"provider": "<string>",
"imgUrl": "<string>",
"codeSnippetIds": [
"<string>"
],
"availableSkillIds": [
"<string>"
],
"subagentsIds": [
"<string>"
],
"maxChatMessages": 123,
"maxToolResponseInputTokens": 123,
"contextManagement": {
"fullContextTurnDepth": 123,
"alwaysIncludeUserMessages": true
}
},
"creationTimestampMs": 123,
"lastEditTimestampMs": 123,
"maxExecutionInputTokens": 123,
"maxExecutionToolCalls": 123,
"agentNotificationConfig": {},
"evaluationConfig": {}
}
],
"total": 123,
"offset": 123,
"limit": 123,
"hasMore": true
}Agents
List all agents
Retrieves a paginated list of all agents for the authenticated client.
GET
/
v1
/
agents
List all agents
Authorizations
Use JWT token for authentication
Query Parameters
Number of items to skip
Maximum number of items to return
Required range:
x <= 100Filter by archived status
⌘I